Mobile application

What is needed to download Citadele mobile application?

The user must have a mobile device with Android (starting from version 4.0) or Apple iOS (starting from version 8.0) operating system.

Are you satisfied with the answer?